-- Notice the differences between massageBoxC and messageBoxD.

-- Without a trailing space in message, the last work isn't displayed.

-- Button numbering is consistent with order in table but display order is reversed.

function love.draw()
	if pressedbuttonC  then love.graphics.print('[corrected] button pressed: '..pressedbuttonC..' with caption: '..buttonsC[pressedbuttonC],100,100) end
	if pressedbuttonD  then love.graphics.print('[default] button pressed: '..pressedbuttonD..' with caption: '..buttonsD[pressedbuttonD],100,100) end
	love.graphics.print( '(D)efault message box, (C)orrected message box', 20, 500 )
	end

function messageBoxC()
	local title		= "Title for Message Box"
	local message	= "Button name order: Cancel No Yes "
	buttonsC		= { 'Cancel', 'No', 'Yes', escapebutton = 1 }
	pressedbuttonC	= love.window.showMessageBox(title, message, buttonsC, 'info', true)
	pressedbuttonD	= nil
	end

function messageBoxD()
	local title		= "Title for Message Box"
	local message	= "Button name order: Yes No Cancel"
	buttonsD		= { 'Yes','No', 'Cancel', escapebutton = 2 }
	pressedbuttonD	= love.window.showMessageBox(title, message, buttonsD, 'info', true)
	pressedbuttonC	= nil
	end

function love.keypressed( k, scancode, isrepeat )
	if k == "escape" then love.event.quit() end
	if k == 'c' then messageBoxC() end
	if k == 'd' then messageBoxD() end
	end
